Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class DaysOfWeek

    java.lang.Object
      com.compoze.exchange.DaysOfWeek

All Implemented Interfaces:
  java.io.Serializable

public class DaysOfWeek
extends java.lang.Object
implements java.io.Serializable

This class stores the values for 'days of week'. It maintains an internal bitmask that is used to send a set of days of the week to Exchange.

See Also:
  Serialized Form

Constructor Summary
`DaysOfWeek()` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static DaysOfWeek` | `get(int iStoreValue)` Gets the days of week by its store value.
`int` | `getCount()` Gets a count of the number of days of the week that are set.
`int` | `getStoreValue()` Gets the value that's used to store the day of week in the storage system.
`boolean` | `remove(DayOfWeek dayOfWeek)` Removes a day of the week.
`boolean` | `set(DayOfWeek dayOfWeek)` Adds a day of the week.
`boolean` | `set(int iDayOfWeek)` Adds a day of the week from the the integer value obtained from `Calendar.DAY_OF_WEEK`.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DaysOfWeek

    public DaysOfWeek()

  Constructor. Initially, no days of the week are set.

Method Detail

### set

    public boolean set(DayOfWeek dayOfWeek)

  Adds a day of the week. If the day already exists then it is not added twice.

  Parameters:
    `dayOfWeek` - the day of the week to add
  Returns:
    `true` if it was added, or `false` if it already exists

### set

    public boolean set(int iDayOfWeek)

  Adds a day of the week from the the integer value obtained from `Calendar.DAY_OF_WEEK`. If the day already exists then it is not added twice.

  Returns:
    `true` if it was added, or `false` if it already exists

### remove

    public boolean remove(DayOfWeek dayOfWeek)

  Removes a day of the week. If the day already exists then it is not added twice.

  Parameters:
    `dayOfWeek` - the day of the week to remove
  Returns:
    `true` if the day was removed, or `false` if it was not in the list

### get

    public static DaysOfWeek get(int iStoreValue)

  Gets the days of week by its store value.

  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching day of week or `null` if not found

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the day of week in the storage system.

  Returns:
    the store value

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not day of week.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### getCount

    public int getCount()

  Gets a count of the number of days of the week that are set.

  Returns:
    the count of the number of days of the week that are set

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.